Bug 995442 - Caja does not launch from panel shortcut.
Caja does not launch from panel shortcut.
Product: Fedora
Classification: Fedora
Component: mate-file-manager (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-09 07:38 EDT by Thomas
Modified: 2013-10-19 15:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-19 15:53:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas 2013-08-09 07:38:07 EDT
Description of problem:
Caja does not launch.

Version-Release number of selected component (if applicable):
MATE caja 1.6.2

How reproducible:
Every time.

Steps to Reproduce:
1. Start caja from shortcut (caja -n)
2. Wait

Actual results:
Seems to be starting but then disappears.

Expected results:
Opened file manager

Additional info:
Problem was introduced from yum update. It did not exist in original fedora 19.
The USB issue 974869 reported seem to be affecting me too.
There is a process running caja. Killing it results in a million spawned caja windows.
caja from the command line seem to work (with no -n).
Comment 1 Wolfgang Ulbrich 2013-08-09 10:02:01 EDT
I quess you're speaking from the panel-laucher.
If yes delete them and create him new from the menu (add to panel)
Upstream has added the (-n) to /usr/share/applications/caja.desktop
Unfortunately i used this file for our first version of the default panel layout, and not the correct file /usr/share/applications/caja-browser.desktop which is used in the menu.
In latest mate-panel this is fixed but this doesn't override a existing user panel configuration, in result the pannel-launcher use the (-n) flag.

Sorry for this, i will leave this report open for other users who maybe run in the same issue, but there is nothing i can do.

The correct entry for a shortcut from caja-browser.desktop is 
caja --no-desktop --browser %U

The x-caja-window issue is well known.
upstream is working on it, pls be patience.
Comment 2 Dan Mashal 2013-08-12 04:53:51 EDT

I'm able to reproduce from the panel, we should change the shortcut.. I'll look and see if I can fix it myself.. if not catch up with you on IRC.
Comment 3 Dan Mashal 2013-08-12 06:01:30 EDT
OK latest update:

This is fixed in the latest mate-panel update but it does not overwrite an existing user's configuration. Please manually update the shortcut by right clicking on the caja icon and updating the command to: "caja --no-desktop --browser %U"
Comment 4 Thomas 2013-08-12 06:24:50 EDT
The command update works for me. Thanks!

Note You need to log in before you can comment on or make changes to this bug.